## matanza 0.13%2Bds1

=== debian/control ===
Source: matanza
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Peter Pentchev <roam@ringlet.net>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libpng-dev,
               texlive-extra-utils
Standards-Version: 4.1.3
Homepage: https://web.archive.org/web/20071226080243/http://bachue.com/matanza/
Vcs-Git: https://salsa.debian.org/games-team/matanza.git
Vcs-Browser: https://salsa.debian.org/games-team/matanza

Package: matanza
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: telnet | telnet-ssl | inetutils-telnet | putty | telnet-client
Description: Space ascii war game
 Matanza is a multiplayer game.  In it, every player controls a ship cruising
 in space, aiming to destroy the other players (and, eventually, ships
 controlled by the computer).
