## matanza 0.13%2Bds2

=== debian/changelog ===
matanza (0.13+ds2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:54:40 +1100

matanza (0.13+ds2-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:20:55 +0000

matanza (0.13+ds2-1) unstable; urgency=medium

  * Team upload.
  * Repack tarball with sources for deleting of extra debian/ directory.
  * Bump Standards-Version to 4.4.0 (was 4.1.3).
  * Fix cross build from sources. (Closes: #929441)
    [Thanks to Helmut Grohne]
  * Cosmetic changes in debian/rules.
  * Cosmetic changes in debian/copyright.
  * Delete debian/source/options: fixes lintian warnings:
    debian-source-options-has-custom-compression-settings.
  * Add Files-Excluded and Comment fields to debian/copyright:
    fixes lintian notes: missing-explanation-for-repacked-upstream-tarball.
  * Fix lintian notes: file-contains-trailing-whitespace.

 -- Boris Pek <tehnick@debian.org>  Wed, 28 Aug 2019 00:09:15 +0300

matanza (0.13+ds1-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.3 (was 3.9.4).
  * Update debian/control:
    - update using wrap-and-sort tool
    - update Homepage URL (http --> https)
    - update Vcs-* fields: moved from Alioth to Salsa
    - delete dpkg-dev from build dependencies
    - fix spelling error in package description
    - change package Priority from extra to optional
  * Fix spelling error in manpage.
  * Update years and Format URL in debian/copyright.
  * Delete trailing whitespaces in debian/changelog.
  * Delete menu file.

 -- Boris Pek <tehnick@debian.org>  Thu, 08 Feb 2018 17:52:15 +0300

matanza (0.13+ds1-5) unstable; urgency=low

  * Team upload.
  * Add new icons, a desktop file and a menu file to improve matanza's
    desktop-integration. (Closes: #726815)
  * Bump compat level to 9 and require debhelper >= 9.
  * Use section 6 for man pages because matanza is a game.
  * Update debian/control using wrap-and-sort tool.
  * Update debian/copyright.

 -- Markus Koschany <apo@gambaru.de>  Tue, 22 Oct 2013 17:47:13 +0300

matanza (0.13+ds1-4) unstable; urgency=low

  * Team upload.
  * Move package to unstable: no changes required.
  * Update Vcs-* fields: fix lintian notes vcs-field-not-canonical.

 -- Boris Pek <tehnick@debian.org>  Sun, 11 Aug 2013 14:10:25 +0300

matanza (0.13+ds1-3) experimental; urgency=low

  * Team upload.
  * Bump Standards-Version to 3.9.4 (was 3.9.1).
  * Update debian/copyright in according to Copyright format 1.0.
  * Add patch debian/patches/04-format.patch:
    fix FTBFS with GCC >= 4.7 and hardening compiler options.
    (Closes: #675295)
  * Add patch debian/patches/05-fix-build-with-libpng1.5.patch:
    fix build with libpng >= 1.5. (Closes: #636984)
  * Update debian/control:
    - changed build dependency from libpng12-dev to libpng-dev
      (Closes: #662427)
    - updated Homepage field

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 17 Dec 2012 22:39:49 +0200

matanza (0.13+ds1-2) experimental; urgency=low

  * New maintainer.  Closes: #442045
  * Use quilt for patch management.
  * Fix a typo in the Debian-supplied manual page and another one in
    the main matanza.w source.
  * Convert to the 3.0 (quilt) source format with bzip2 compression.
  * Refer to the GPL-2 file instead of the GPL symlink.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Convert the copyright file to the DEP 5 format and add my notice.
  * Add the Vcs-Git and Vcs-Browser source control fields.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain CPPFLAGS, CFLAGS
    and LDFLAGS.
  * Bump the debhelper compatibility version to 8 and minimize the rules
    file using the dh(1) helper and debhelper override targets.
  * Add the 03-cppcheck patch to suppress a cppcheck false positive.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 09 Jan 2011 18:12:09 +0200

matanza (0.13+ds1-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to QA group.
    + Acknowledge NMUs. (Closes: #383733, #340496)
  * Repack tar ball without all generated files. (Closes: #490600)
  * Disable watch file since upstream homepage seems to
    be gone. (Closes: #462828)
  * Move Homepage to dedicated field.
  * Fix some manpage formatting errors.
  * Some debian/rules cleanup.
  * Fix "array subscript is above array bounds" warning.
  * Fix definition of VERBOSE macro to avoid a huge number of
    compiler warnings.

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 30 Jul 2008 16:26:26 +0200

matanza (0.13-3.4) unstable; urgency=low

  * Non-maintainer upload
  * Updated build depends due to texlive transition (Closes: #421204)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Fri, 18 May 2007 23:12:46 +0200

matanza (0.13-3.3) unstable; urgency=high

  * NMU.
  * Remove i386 .o files (shipped in orig.tar.gz) in clean target.
    closes: #384566.

 -- Clint Adams <schizo@debian.org>  Thu, 14 Sep 2006 23:23:47 -0400

matanza (0.13-3.2) unstable; urgency=low

  * Non-maintainer upload fixing lots of bugs (Closes: #335274)
  * Use debhelper compatability version 5
  * Revamp and modernize debian/rules, uses debhelper more
  * Add homepage to the long description
  * Update the manual page and refer users to the README (Closes: #340496)
  * Move binaries to /usr/games
  * Bump Standards-Version
  * Make sure to rebuild matanza.c and ai.c (build-dep on tetex-bin)
  * Build-depend on libpng12-dev
  * Update copyright information, including FSF address
  * Recommend the virtual package telnet-client as well
  * Install NEWS/TODO and the example ships, map and config
  * Use $(MAKE) instead of make

 -- Paul Wise <pabs3@bonedaddy.net>  Mon, 24 Apr 2006 12:28:41 +0800

matanza (0.13-3.1) unstable; urgency=low

  * NMU
  * Rebuild with libpng dependancies updated (Closes: #328352)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 29 Oct 2005 17:54:26 +1000

matanza (0.13-3) unstable; urgency=low


