=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -Wall
export CC CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@

# Note: this could be simplified even further using --with autotools_dev,
# but it would require another repacking to bring back config.{guess,sub} :)
#
override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub .
	cp -f /usr/share/misc/config.guess .
	dh_auto_configure -- --bindir=/usr/games

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"
