## matanza 0.13+ds2

=== debian/changelog ===
matanza (0.13+ds2-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 13:32:22 +0000

matanza (0.13+ds2-2) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root: no
  * Change telnet recommendation (Closes: #1016860)

  [ Patrice Duroux ]
  * Fix FTBFS with GCC 14 (Closes: #1075255)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 18:31:11 +0100
